summaryrefslogtreecommitdiff
path: root/dev-python/diskcache
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/diskcache
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/diskcache')
-rw-r--r--dev-python/diskcache/Manifest1
-rw-r--r--dev-python/diskcache/diskcache-4.1.0.ebuild48
-rw-r--r--dev-python/diskcache/metadata.xml13
3 files changed, 62 insertions, 0 deletions
diff --git a/dev-python/diskcache/Manifest b/dev-python/diskcache/Manifest
new file mode 100644
index 000000000000..539197ee3652
--- /dev/null
+++ b/dev-python/diskcache/Manifest
@@ -0,0 +1 @@
+DIST diskcache-4.1.0.gh.tar.gz 658268 BLAKE2B 7712892a15e0f7b34b05c48071b4ed22f94ff4c8b6e66dff5591296d7186c686958ef3ec19994b6965319ba3e601850a1782f7ac8ed09090afda4b75ae16a12b SHA512 3871e56fa9a50942e29e200df74d7f4312d21a0f51d6be2041ce71efd3c1d0c204cc1df5ac1f92825314c742bb48bf8b0a3929cee225055903953e095701c8e3
diff --git a/dev-python/diskcache/diskcache-4.1.0.ebuild b/dev-python/diskcache/diskcache-4.1.0.ebuild
new file mode 100644
index 000000000000..36f1dadb1212
--- /dev/null
+++ b/dev-python/diskcache/diskcache-4.1.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+HOMEPAGE="http://www.grantjenks.com/docs/diskcache/
+ https://github.com/grantjenks/python-diskcache/"
+DESCRIPTION="Disk and file backed cache"
+SRC_URI="
+ https://github.com/grantjenks/python-diskcache/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+S=${WORKDIR}/python-diskcache-${PV}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+src_prepare() {
+ # remove dep on pytest-xdist
+ sed -i -e '/-n auto/d' tox.ini || die
+ # requires django-1.1*
+ rm diskcache/djangocache.py || die
+ sed -e '/diskcache\.djangocache/d' \
+ -e 's:test_djangocache:_&:' \
+ -i tests/test_doctest.py || die
+ rm tests/test_djangocache.py || die
+
+ distutils-r1_src_prepare
+}
+
+pkg_postinst() {
+ elog "Please note that the Gentoo package does not install the djangocache"
+ elog "submodule as it requires old version of dev-python/django."
+}
diff --git a/dev-python/diskcache/metadata.xml b/dev-python/diskcache/metadata.xml
new file mode 100644
index 000000000000..9939c2e9c007
--- /dev/null
+++ b/dev-python/diskcache/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">diskcache</remote-id>
+ <remote-id type="github">grantjenks/python-diskcache</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>